מחשב כף יד

צפייה בגרסה מלאה : מדריך | התקנת אפליקציות שדורשות 2.2.1 על 2.2



Vatos-Locos
20/05/09, 07:16
בזמן האחרון אני רואה שיותר ויותר אפליקציות יוצאות עם דרישת מינימום של גרסת מערכת 2.2.1 אבל הרבה משתמשים נשארים עם 2.2 מטעמי נוחות.

האמת שההבדל התוכנתי בין 2.2 ל-2.2.1 הוא ממש לא גדול ואחוז קטן מאוד מהישומים ש"דורשים" 2.2.1 באמת משתמשים בשינויים שהוכנסו ב-SDK החדש.

הדרך הפשוטה היא להתקין מהסידיה את ********** ולהעביר את קובץ ה-IPA לתיקיית ההורדות במכשיר (דרך WINSCP\IPHONEBROWSER וכו').
אבל זאת שיטה קצת מלוכלכת, דורשת עבודה גם מול המחשב וגם באייפון, התקנה של 5-6 ישומים שנדרשים לאינסטולוס וכו',

למי שמעדיף להשאר בשיטה הסטנדרטית והנקיה של האיטונז, ניתן בקלות לערוך את דרישות המינימום של ה-IPA כי הם סה"כ רשומים בטקסט רגיל וניתנים לעריכה בקלות ללא צורך בתוכנות חיצוניות.


לחצו על קןבץ ה-IPA כפתור ימני, בחרו ב-"פתח באמצעות", ומשם נתבו לתוכנת הפריסה שמותקנת אצלכם (לדוגמא WINRAR), הורידו את תיבת הסימון שבתחתית החלון (בכדי שהסיומת עדיין תיהיה משוייכת לאייטונז).
הכנסו לתיקיות: PAYLOAD -> שם הישום.
וחלצו את הקובץ info.plist אל שולחן העבודה.
השתמשו שוב ב"פתח באמצעות" בכדי לפתוח את קובץ ה-plist עם תוכנת כתבן כדוגמאת ה-wordpad שמגיע עם הוינדוס וחפשו את השורה:
MinimumOSVersion
ערכו אותה מ-2.2.1 ל-2.2 (ומטה).

שמרו את הקובץ וגררו אותו חזרה לתוך קובץ ה-IPA בכדי לדרוס את הקובץ הישן.
והתקינו את ה-IPA באופן רגיל דרך האייטונז.


במידה והישום הותקן בהצלחה אבל פועל בצורה לא תקינה על המכשיר יכול להיות שבאמת אותו הישום דורש את ה-SDK של גרסא 2.2.1, אבל הסיכוי לא גדול.

אני אישית בדקתי את זה עם LETS GOLF, ASSASIANS CREED ו-TERMINATOR SALVATION.



בהצלחה (:

Maor.S
20/05/09, 12:56
תודה!

IdanZ
27/06/10, 12:07
מדריך מצויין.

לפעמים יש משחקים שעולים בunicode מוזר כזה ואז אי אפשר למצוא את השורה כמו שצריך. מה עושים במקרה כזה? איך פותחים את הקובץ כמו שצריך?